* {
    margin: 0;
    padding: 0;
}

body {
    background-color: rgb(0, 0, 33);
    color: white;
    font-family: 'Poppins', sans-serif;

}

nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    height: 130px;
    background-color: rgb(0, 0, 33);
    padding: 0 10px;
}

nav ul {
    display: flex;
    justify-content: center;
}

nav ul li {
    list-style: none;
    margin: 0 25px;
    cursor: pointer;
}

nav ul li a {
    text-decoration: none;
    color: white;
}

nav ul li a:hover {
    color: rgb(153, 153, 226);
}

.left {
    font-size: 1.5rem;
}

main hr {
    border: 0;
    background: #516ccf;
    height: 2px;
    margin: 60px 84px;
}

.firstSection {
    display: flex;
    justify-content: space-around;
    margin: 120px 0;
    flex-wrap: wrap;
}

.firstSection>div {
    width: 30%;
}

.rightSection {

    font-size: 2.5rem;
}

.rightSection .intro {
    height: 100px;
}

.rightSection>div {

    font-size: 1.2rem;
}

.rightSection .btn {
    padding: 10px;
    background-color: #1e2167;
    color: white;
    border: 2px solid white;
    border-radius: 6px;
    font-size: 15px;
    cursor: pointer;
}

.leftSection {
    display: flex;
    justify-content: center;
    align-items: center;
}

.imgContainer {
    width: 500px;

    height: 500px;



    border-radius: 50%;

    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    border: 20px solid white;

}

.imgContainer img {
    width: 100%;
}

.text-purple {
    color: #9c97f1;
}

.secondSection {
    max-width: 80vw;
    margin: auto;
    height: 80vh;
}

.secondSection h1 {
    font-size: 1.9rem;
}

.text-grey {
    color: grey;
}

.secondSection .box {
    background-color: white;
    width: 80vw;
    height: 2px;
    margin: 60px 0;
    display: flex;
}

.secondSection .vertical {
    height: 93px;
    width: 1px;
    background-color: white;
    margin: 0 250px;
}

.secondSection .image-top {
    width: 50px;
    position: relative;
    top: -53px;
    left: -26px;
}

.secondSection .experience_1 {
    height: 65vh;
    width: 70vh;
}

.secondSection .experience_2 {
    height: 65vh;
    width: 70vh;
}

.secondSection .experience_3 {
    height: 65vh;
    width: 70vh;
}

.secondSection .company {
    width: 150px;
    position: relative;
    top: 53px;
    left: -75px;
    border-radius: 5px;
}

.secondSection .vertical-title {
    position: relative;
    top: 50px;
    left: -100px;
    width: 200px;
    text-align: center;
}


.secondSection .vertical-desc {
    position: relative;
    top: 80px;
    left: -160px;
    width: 350px;
    color: lightgray;
    text-align: justify;
}

hr {
    border: 0;
    background: #516ccf;
    height: 2px;
    margin: 60px 84px;
}

#skills {
    text-align: center;
    padding: 50px 20px;
}

h2 {
    font-size: 2.5rem;
    font-weight: bold;
    margin-bottom: 20px;
}

p {
    color: #8892b0;
    margin-bottom: 40px;
}

.skills-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}

.skill-card {
    background-color: #112240;
    padding: 20px;
    border-radius: 10px;
    width: 300px;
    text-align: left;
}

.skill-card h3 {
    margin-bottom: 10px;
    font-size: 1.2rem;
    color: #64ffda;
}

footer {
    background-color: #000318;


}

.footer {
    display: flex;
    padding: 23px 122px;
    justify-content: space-evenly;
}

.footer ul {
    list-style: none;
}

.footer>div {
    width: 123px;
}

.footer-rights {
    color: darkgrey;
    text-align: center;
    padding: 12px 0;
}

@media (max-width: 768px) {

    body,
    html {
        overflow-x: hidden;
    }

    nav {
        align-items: flex-start;
        padding: 20px 0px;
        height: 10vh;
        justify-content: space-between;
    }

    .left {
        margin: 20px;
    }

    nav ul {
        margin: 20px;
        flex-direction: column;
        justify-content: space-between;
    }

    nav ul li {
        margin: 10px 0;
    }


    .firstSection {
        align-items: center;
        height: 90vh;

    }

    .firstSection>div {
        flex-direction: column;
        width: 100%;
        text-align: center;
    }

    .leftSection {
        height: 65vh;
    }

    .imgContainer img {
        width: 100%;
    }


    .imgContainer {
        width: 350px;
        height: 350px;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        position: relative;
        border: 15px solid white;
    }


    .rightSection {
        font-size: 1.5rem;
        margin: 60px 0px;
    }


    .rightSection .intro {
        font-size: 1.1rem;
        padding: 20px 10px 0px;
    }

    .rightSection .btn {
        font-size: 14px;
        padding: 8px;
        margin: 10px 0 0;
    }

    main hr {

        border: 0;
        background: #516ccf;
        height: 2px;
        margin: 60px 30px 24px;
    }

    .secondSection {
        height: 110vh;

        flex-direction: column;
    }

    .secondSection .box {

        display: block;
        margin: 30px 0;
        height: 2px;

    }

    .image-top {
        display: none;
    }

    .secondSection .experience_1 {
        height: 35vh;
        width: 80vw;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .secondSection .experience_1 .company {
        padding: 10px 50px 10px 0;
        border-radius: 6px;
    }

    .secondSection .experience_1 .vertical {
        width: 0px;
    }

    .secondSection .experience_1 .vertical-title {
        padding: 10px 50px 10px 0;
    }

    .secondSection .experience_1 .vertical-desc {
        position: relative;
        left: -40vw;
        width: 80vw;
    }

    .secondSection .experience_2 {
        height: 30vh;
        width: 80vw;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .secondSection .experience_2 .company {
        padding: 10px 50px 0 0;
        border-radius: 6px;
    }

    .secondSection .experience_2 .vertical {
        width: 0px;
    }

    .secondSection .experience_2 .vertical-title {
        padding: 10px 50px 0 0;
    }

    .secondSection .experience_2 .vertical-desc {
        position: relative;
        left: -40vw;
        width: 80vw;
    }

    .secondSection .experience_3 {
        height: 40vh;
        width: 80vw;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .secondSection .experience_3 .company {
        padding: 10px 50px 0 0;
    }

    .secondSection .experience_3 .vertical {
        width: 0px;
    }

    .secondSection .experience_3 .vertical-title {
        padding: 10px 50px 0 0;
    }

    .secondSection .experience_3 .vertical-desc {
        position: relative;
        left: -40vw;
        width: 80vw;
    }

    .footer {
        display: flex;

        font-size: 12px;
        padding: 20px 20px;
    }

    .footer .footer-rights {
        font: 10px;
    }


}

@media (max-width: 480px) {

    .right {
        display: none;
    }

    .nav ul li {
        margin: 10px 0;
    }

    .firstSection {
        margin: 30px 10px;
        min-height: 95vh;
    }

    .leftSection {
        height: 65vh;
    }

    .leftSection .imgContainer {
        width: 300px;
        height: 300px;
        border: 20px solid white;
    }


    .rightSection {
        margin: 20px 0;
        font-size: 1.2 rem;

    }

    .rightSection .intro {
        font-size: 1rem;
        padding: 20px 10px 0px;
    }

    .rightSection .btn {
        font-size: 14px;
        padding: 12px;
        margin: 20px;
    }

    main hr {
        margin: 40px 20px;
    }

    .secondSection .box {
        margin: 20px 0;
    }

    .secondSection {
        height: 215vh;
    }

    .secondSection .experience_1 {
        height: 70vh;
    }

    .secondSection .experience_2 {
        height: 55vh;
    }

    .secondSection .experience_3 {
        height: 55vh;
    }

    .footer {
        display: flex;
        font-size: 12px;
        padding: 20px 20px;
    }

    .footer .footer-rights {
        font: 10px;
    }

}